<?php
include '../ConsumoApiConfig/Conexion.php';
header("Content-Type: application/json; charset=UTF-8");

class Operaciones
{
    public function PA_ValidarUsuario($user, $clave)
	{
	    $conn = new Conexion();
        $conn->Conectar();
        $conn->Parametro("@user", $user);
        $conn->Parametro("@clave", $clave);
        $data = $conn->Procedimiento("dbo.PA_ValidarUsuario");
        $conn->Desconectar();
        return json_encode($data);
	}
	
	public function PA_GuardarMensaje($mensaje)
	{
	    $conn = new Conexion();
        $conn->Conectar();
        $conn->Parametro("@mensaje", $mensaje);
        $data = $conn->Procedimiento("dbo.PA_GuardarMensaje");
        $conn->Desconectar();
        return json_encode($data);
	}
}

$request = json_decode(file_get_contents('php://input'), true);

switch ($request['accion']) {
	case 'PA_ValidarUsuario':
	    try{
		    $user = $request['user'];
		    $clave = $request['clave'];
        	$app = new Operaciones();
        	echo $app->PA_ValidarUsuario($user, $clave);
	    }catch (Exception $ex){
	        $data = ['rpta'=>'Error: '.$ex];
	        echo json_encode($data);
	    }
	    break;
	case 'PA_GuardarMensaje':
	    try{
		    $mensaje = $request['mensaje'];
        	$app = new Operaciones();
        	echo $app->PA_GuardarMensaje($mensaje);
	    }catch (Exception $ex){
	        $data = ['rpta'=>'Error: '.$ex];
	        echo json_encode($data);
	    }
	    break;
	 
	    
}



